Get a list of the job’s outputs
GET
queues/{queueId}/jobs/{jobId}/outputs
Get the list of outputs of the job with the specified jobId. A signed URL to download the data of an output can be retrieved by using the information provided in the response and the resource API.
Resource Information
| Method and URI | GET https://developer.api.autodesk.com/flow/compute/v1/queues/{queueId}/jobs/{jobId}/outputs |
| Authentication Context | user context optional |
| Required OAuth Scopes | No scopes required |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is obtained via either a two-legged or three-legged OAuth flow. |
| region string | The region targeted by the request. The usage of this header is recommended for faster processing. The region specified must match the region in which the targeted job queue was created or else the request will fail. |
* Required
Request
URI Parameters
| queueId string | The queue ID. Use the special ID @default to indicate the default queue for the user or client app. |
| jobId string | The job ID |
Request
Query String Parameters
| path string | An output path that identifies a resource produced by a job that can be retrieved from the resource storage API. For example, ‘/simulation/1/’ represents all outputs for executionIndex=1 for the task named ‘simulation’. |
| paginationToken string | Job pagination token. This parameter should not be specified manually; instead, the complete nextUrl should be used to retrieve the next set of jobs. It is documented here for completeness. |
Response
HTTP Status Code Summary
| 200 OK | OK |
| 400 Bad Request | Bad request - indicates an incorrectly structured or otherwise incorrect request. |
| 401 Unauthorized | Unauthorized - credentials are invalid or not provided in the request |
| 403 Forbidden | Forbidden - the user or client does not have the required privileges to access this resource |
| 404 Not Found | The specified resource was not found |
Response
Body Structure (200)
Expand all
| pagination object | Provides additional information that can be used when iterating over results that are too large to fit into one response. In such cases, the pagination information indicates how to retrieve the next set of results and when done. Note that not all information in the pagination object is guaranteed to be present. For more details, refer to the developer guide. |
| limit int | If present, indicates the limit that was used when the request was made |
| totalResults int | If present, indicates the total number of results that are available. |
| nextUrl string | If present, this URL can be used to get the next set of results. The URL can be used as-is without modification. The URL will include the paginationToken already. If this property is not present, that indicates that there are no more results that can be retrieved. |
| previousUrl string | If present, this URL can be used to get the previous set of results. The URL can be used as-is without modification. The URL will include the paginationToken already. If this property is not present, that indicates that the API does not provide this functionality for this endpoint. |
| results array: object | |
| finalized boolean | When set to true, it indicates that the output cannot be updated anymore. When set to false, it indicates that the output can still be overwritten/updated. |
| mediaType string | The media type of a resource
Max length: 200 |
| path string | A ‘path’ identifier to uniquely access an output or log produced by a task. The general format is ‘[/{taskName}][/{executionIndex}]/{outputName}’. |
| resourceId string | The resource ID for the output |
| spaceId string | The ID of the storage space where the output can be found. |
| updatedAt datetime: ISO 8601 | The date and time of the last update in ISO 8601 format (UTC) |
| urn string | The URN of the output |
Example
This example gets the outputs for a job that produced a single output.
Request
curl -v 'https://developer.api.autodesk.com/flow/compute/v1/queues/@default/jobs/da4aa881-d54b-4c5a-a142-391ebd9e98e0/outputs' \
-X 'GET' \
-H 'Authorization: Bearer eyJhbGc...' \
Response
{
"results": [
{
"path": "/execute bifrost graph/0/planeWithTrees.usd",
"resourceId": "6aae5b5a-3140-415e-a531-9d716d0f3b6e",
"spaceId": "outputs:da4aa881-d54b-4c5a-a142-391ebd9e98e0",
"urn": "urn:adsk:fc.outputs:us.prd:resource:da4aa881-d54b-4c5a-a142-391ebd9e98e0/6aae5b5a-3140-415e-a531-9d716d0f3b6e"
}
]
}
Show More